Unserialize a Binary

- « MongoDB\BSON\Binary::__toString

- MongoDB\BSON\Decimal128 »

- PHP Manual
- MongoDB\BSON\Binary
- Unserialize a Binary

# MongoDB\BSON\Binary::unserialize

(mongodb >=1.2.0)

MongoDB\BSON\Binary::unserialize — Unserialize a Binary

### Description

final public MongoDB\BSON\Binary::unserialize(string `$data`): void

### Parameters

`data`

  The serialized MongoDB\BSON\Binary.

### Return Values

No value is returned.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.
- Throws MongoDB\Driver\Exception\UnexpectedValueException if the properties cannot be unserialized (i.e. serialized `data` was malformed).
- Throws MongoDB\Driver\Exception\InvalidArgumentException if the properties are invalid (e.g. missing fields or invalid values).

### See Also

- MongoDB\BSON\Binary::serialize() - Serialize a Binary
- unserialize() - Creates a PHP value from a stored representation
- Serializing Objects